RDKit: RDPickers::DistPicker Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDPickers::DistPicker Class Referenceabstract

Abstract base class to do perform item picking (typically molecules) using a distance matrix. More...

`#include <DistPicker.h>`

Inheritance diagram for RDPickers::DistPicker:

## Public Member Functions
| DistPicker ()
| Default constructor. More...
virtual | ~DistPicker ()
virtual RDKit::INT_VECT | pick (const double *distMat, unsigned int poolSize, unsigned int pickSize) const =0
| this is a virtual function specific to the type of algorihtm used More...

## Detailed Description

Abstract base class to do perform item picking (typically molecules) using a distance matrix.

This class should never be instantiated by itself. One of the child classes need to be used. The picking algorithm itself is missing here and only the child calsses implement that This class contains a pointer to a distance matrix, but it is not responsible for cleaning it up

Definition at line 43 of file DistPicker.h.

## Constructor & Destructor Documentation

RDPickers::DistPicker::DistPicker | ( |  | ) |
| inline

Default constructor.

Definition at line 48 of file DistPicker.h.

virtual RDPickers::DistPicker::~DistPicker | ( |  | ) |
| inlinevirtual

Definition at line 49 of file DistPicker.h.

References pick().

## Member Function Documentation

virtual RDKit::INT_VECT RDPickers::DistPicker::pick | ( | const double * | distMat,
|  | unsigned int | poolSize,
|  | unsigned int | pickSize
| ) |  | const
| pure virtual

this is a virtual function specific to the type of algorihtm used

The child classes need to implement this function

ARGUMENTS:

Parameters

  distMat | - distance matrix - a vector of double. It is assumed that only the lower triangle elements of the matrix are supplied in a 1D array
  poolSize | - the size of teh pool to pick the items from. It is assumed that the distance matrix above contains the right number of elements; i.e. poolSize*(poolSize-1)
  pickSize | - the number items to pick from pool (<= poolSize)

Returns
  a vector with indices of the picked items.

Implemented in RDPickers::MaxMinPicker, and RDPickers::HierarchicalClusterPicker.

Referenced by ~DistPicker().

The documentation for this class was generated from the following file:

- DistPicker.h